package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.TeachTypeEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(course_schedule_teacher_salary):
 */
public class CourseScheduleTeacherSalary {

	/**  */
	private Long id;
	
	/**  */
	private Long courseScheduleId;
	
	/** 老师角色（主教、助教） */
	private TeachTypeEnum teacherRole;
	
	/**  */
	private Integer userId;
	
	/** 预计薪水 */
	private java.math.BigDecimal expectSalary;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date createUpdate;
	
	/** 补贴 */
	private java.math.BigDecimal subsidy;
	
	/** 实际薪水 */
	private java.math.BigDecimal actualSalary;
	
	/** 结算时间 */
	private java.util.Date settlementTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setCourseScheduleId(Long courseScheduleId){
		this.courseScheduleId = courseScheduleId;
	}
	
	public Long getCourseScheduleId(){
		return this.courseScheduleId;
	}

	public TeachTypeEnum getTeacherRole() {
		return teacherRole;
	}

	public void setTeacherRole(TeachTypeEnum teacherRole) {
		this.teacherRole = teacherRole;
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setExpectSalary(java.math.BigDecimal expectSalary){
		this.expectSalary = expectSalary;
	}
	
	public java.math.BigDecimal getExpectSalary(){
		return this.expectSalary;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setCreateUpdate(java.util.Date createUpdate){
		this.createUpdate = createUpdate;
	}
	
	public java.util.Date getCreateUpdate(){
		return this.createUpdate;
	}
			
	public void setSubsidy(java.math.BigDecimal subsidy){
		this.subsidy = subsidy;
	}
	
	public java.math.BigDecimal getSubsidy(){
		return this.subsidy;
	}
			
	public void setActualSalary(java.math.BigDecimal actualSalary){
		this.actualSalary = actualSalary;
	}
	
	public java.math.BigDecimal getActualSalary(){
		return this.actualSalary;
	}
			
	public void setSettlementTime(java.util.Date settlementTime){
		this.settlementTime = settlementTime;
	}
	
	public java.util.Date getSettlementTime(){
		return this.settlementTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
